GNU bug report logs - #43899
[PATCH] gnu: emacs-counsel-projectile: Fix incompatibility.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Joseph LaFreniere <joseph@HIDDEN>; Keywords: patch; Done: Joseph LaFreniere <joseph@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 43899 <at> debbugs.gnu.org and Joseph LaFreniere <joseph@HIDDEN> Request was from Joseph LaFreniere <joseph@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43899 <at> debbugs.gnu.org:


Received: (at 43899) by debbugs.gnu.org; 21 Oct 2020 20:34:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 21 16:34:06 2020
Received: from localhost ([127.0.0.1]:50679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kVKoA-0002Dd-5u
	for submit <at> debbugs.gnu.org; Wed, 21 Oct 2020 16:34:06 -0400
Received: from mx.kolabnow.com ([95.128.36.41]:33112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph@HIDDEN>)
 id 1kVKo7-0002D2-5t; Wed, 21 Oct 2020 16:34:04 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id C3BD6A5E;
 Wed, 21 Oct 2020 22:33:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:message-id:date:date
 :in-reply-to:subject:subject:from:from:references:received
 :received:received; s=dkim20160331; t=1603312436; x=1605126837;
 bh=KyL0R/KzDq5Y+hS88yEK9/NADrp603Yo9wlRLYMTEf8=; b=dRCWlwftJRt+
 SFs32x8RqwJwjrH1W/vim3Elz1U4t3gFCghP1yADSOrSLNtWNzsh56Qe1gZ/JFYB
 Qzy9rG6unhOKO5q976/UEF4znoelrDVTI/UaMUJ0dGdBdJtw4sp5kxdWOGezli1j
 BycODbAvD63fGQy7CEASYArfyNmZYebKm4kxRUA+ztyp0SOpFEbu49AS0VOHlboD
 XUnix5PfKPw9nQbJOmk9CjTLeSrNkaY46CkYbPJpCFRFhd22ZmqrhJ4GVCvc8zyV
 DrOlSSQIKaZGKf+cMX7GtxLeLmGLeuO7SeL24WQRSrRaPOAZ3agX3N+4JB1nOU8X
 FyryFGQ+TifHnhoO1abiHFIK/CpXNmUmHgoKFGHSHZW4ulODfu8461JXqNVCFlho
 Rg+GktvGM1qH3LHOmS+S1H1PNGPFmMGESM34mqJEkpyNNwdoy+M7q+bTJaaTRnHX
 MfnsTHT2GGETalq6tm501AjJBOjEU5KyZCIFB8G7DDc48gihzbRvlg/qE5B9wDor
 bNXZlX93GaSiwxlrGt8mcit91ZrrRaoF4tmO424QbRFa8f+X6EJDOFgD3OZyem1r
 owMpXEHWv8IGMwqpcoVIF/5aUZO1fDLZCweCe0hUerT6j+OlZw/SnLVns12DWapr
 wTg4Dw54E1VepLeE2jFHFX53P9UvRfQ=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id zCJlbr1baqOM; Wed, 21 Oct 2020 22:33:56 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 40853819;
 Wed, 21 Oct 2020 22:33:56 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id CD7A463F;
 Wed, 21 Oct 2020 22:33:55 +0200 (CEST)
References: <87eem6u1yd.fsf@HIDDEN>
 <875z7e60ps.fsf@HIDDEN>
From: Joseph LaFreniere <joseph@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#43899] [PATCH] gnu: emacs-counsel-projectile: Fix
 incompatibility.
In-reply-to: <875z7e60ps.fsf@HIDDEN>
Date: Wed, 21 Oct 2020 15:33:52 -0500
Message-ID: <87wnzj9v4f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43899
Cc: control <at> debbugs.gnu.org, 43899 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

close 43899
quit

Nicolas Goaziou <mail@HIDDEN> writes:
>> The current recipe for emacs-counsel-projectile has errors when 
>> paired
>> with the current recipe of emacs-counsel.  This patch uses a 
>> later,
>> untagged commit from the master branch of counsel-projectile 
>> that
>> resolves the errors.
> Could you add a comment explaining the above in the package 
> definition?

The error that I thought was caused by an incompatibility in 
counsel-projectile seems to have actually been in ivy-rich.  I 
have opened bug#44122 to update that package instead.  This ticket 
can safely be closed.

--
Joseph LaFreniere




Information forwarded to guix-patches@HIDDEN:
bug#43899; Package guix-patches. Full text available.

Message received at 43899 <at> debbugs.gnu.org:


Received: (at 43899) by debbugs.gnu.org; 13 Oct 2020 07:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 03:31:54 2020
Received: from localhost ([127.0.0.1]:45027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSEmo-00010Z-Fp
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:31:54 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:41773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kSEmm-00010G-0s
 for 43899 <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:31:52 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 1C475FF803;
 Tue, 13 Oct 2020 07:31:44 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: Joseph LaFreniere <joseph@HIDDEN>
Subject: Re: [bug#43899] [PATCH] gnu: emacs-counsel-projectile: Fix
 incompatibility.
References: <87eem6u1yd.fsf@HIDDEN>
Date: Tue, 13 Oct 2020 09:31:43 +0200
In-Reply-To: <87eem6u1yd.fsf@HIDDEN> (Joseph LaFreniere's
 message of "Fri, 09 Oct 2020 23:42:02 -0500")
Message-ID: <875z7e60ps.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Joseph LaFreniere <joseph@HIDDEN> writes: >
 The current recipe for emacs-counsel-projectile has errors when paired >
 with the current recipe of emacs-counsel. This patch uses a later, > untagged
 commit from the master branch of counsel-projec [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.199 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 43899
Cc: 43899 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Joseph LaFreniere <joseph@HIDDEN> writes:

> The current recipe for emacs-counsel-projectile has errors when paired
> with the current recipe of emacs-counsel.  This patch uses a later,
> untagged commit from the master branch of counsel-projectile that
> resolves the errors.
>
> Patch file is attached.

Thank you.

Could you add a comment explaining the above in the package definition?

Otherwise, LGTM.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#43899; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2020 04:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 10 00:42:19 2020
Received: from localhost ([127.0.0.1]:36761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kR6i2-0005eT-Vp
	for submit <at> debbugs.gnu.org; Sat, 10 Oct 2020 00:42:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:33614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joseph@HIDDEN>) id 1kR6i0-0005eJ-1z
 for submit <at> debbugs.gnu.org; Sat, 10 Oct 2020 00:42:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45802)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kR6hz-0002H3-NL
 for guix-patches@HIDDEN; Sat, 10 Oct 2020 00:42:15 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:37926)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joseph@HIDDEN>)
 id 1kR6hx-0000Sk-3Z
 for guix-patches@HIDDEN; Sat, 10 Oct 2020 00:42:15 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id 21252E3E
 for <guix-patches@HIDDEN>; Sat, 10 Oct 2020 06:42:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:received:received:received; s=
 dkim20160331; t=1602304928; x=1604119329; bh=a9QZLBuZIuYyDj4OSL6
 8K8bWSEpKHL6NqeEODanozYw=; b=0P5fqcNnAsTrjdj6StLJzJkD2Y23+fyMnIQ
 G7DdOLKaXOjWOTmAMwGkAP/5SyXuj2xCihLrFxZMIhyI79A0hAEmVtn7+VrFwpP5
 2tzmQO8Ga0P77FioxNxOtee3tcIcqdvFJTemjKAxU0LMCiCmY6+xAnDL4wCyvPOr
 ap2oJ8XL5oErKgjDZfmQi5ZAwlM7IXd7vguR8pQjlBN3C6jN+0+MO71X+VT3srJB
 P8XdHQoDoQfZ1JiF6uivv9mzGkBCcGivYN0+polWPLz2wlUB/d/N7JpjEWKB0UFK
 Q7drpbsTGZoigmSZvDKXTXNlRajXZ5HQ7xfV8ppg0P+TgcEHWN9lACKM/lgDsDEQ
 n7LCrcsxNqzwlnMUZtIxUUfhV8UWa3db53jjZ6Ktyhx/1aexAFMEIA/4ETf/L4vx
 0bEsP1pf7F5CWnK9YwiiRyH0nNnDm+1poaMWAdVzT1Nyn4z32/7dxzicimeKuHna
 1zJWi8MEE7+DUcIEMILtZH3SgBqKDQqDoCVRXB7uPME/AlGjK/TVprhWIpe5aMjj
 ikTu4A6Qd9wYC3QiuBUo5YpI04znHVrErKPrSZYW77hp0KaqygZ7PDEWlP6sFGZ/
 WXZ+jc7j6loXvcJ9GraxvOcJLC28JrBCgpPQh9MVNLh/FbU2gQ+IRIIy/CT85ySx
 irpLbxVI=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 8O6AUyVpNi4E for <guix-patches@HIDDEN>;
 Sat, 10 Oct 2020 06:42:08 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 294FCA12
 for <guix-patches@HIDDEN>; Sat, 10 Oct 2020 06:42:07 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id B2867A1A
 for <guix-patches@HIDDEN>; Sat, 10 Oct 2020 06:42:07 +0200 (CEST)
From: Joseph LaFreniere <joseph@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: emacs-counsel-projectile: Fix incompatibility.
Date: Fri, 09 Oct 2020 23:42:02 -0500
Message-ID: <87eem6u1yd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=95.128.36.42; envelope-from=joseph@HIDDEN;
 helo=mx.kolabnow.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/10 00:42:09
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FROM_SUSPICIOUS_NTLD=0.497, FROM_SUSPICIOUS_NTLD_FP=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  The current recipe for emacs-counsel-projectile has errors
 when paired with the current recipe of emacs-counsel. This patch uses a later, 
 untagged commit from the master branch of counsel-projectile t [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: lafreniere.xyz (xyz)]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=joseph%40lafreniere.xyz; ip=209.51.188.17; r=debbugs.gnu.org]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--=-=-=
Content-Type: text/plain; format=flowed

The current recipe for emacs-counsel-projectile has errors when 
paired with the current recipe of emacs-counsel.  This patch uses 
a later, untagged commit from the master branch of 
counsel-projectile that resolves the errors.

Patch file is attached.

--
Joseph LaFreniere

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-emacs-counsel-projectile-Fix-incompatibility.patch

From af4153b59d14544a4050a8da618f2cd8066c651b Mon Sep 17 00:00:00 2001
From: Joseph LaFreniere <joseph@HIDDEN>
Date: Mon, 5 Oct 2020 22:38:33 -0500
Subject: [PATCH] gnu: emacs-counsel-projectile: Fix incompatibility.

* gnu/packages/emacs-xyz.scm (emacs-counsel-projectile): Fix incompatibility
with packaged verison of emacs-counsel.
---
 gnu/packages/emacs-xyz.scm | 45 ++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 21 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 55f9f7cf4d..67cb7a0975 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -7450,28 +7450,31 @@ asynchronously, with Counsel and Ivy.  Simply call
       (license license:gpl3+))))
 
 (define-public emacs-counsel-projectile
-  (package
-    (name "emacs-counsel-projectile")
-    (version "0.3.1")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/ericdanan/counsel-projectile")
-                    (commit version)))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-                "1k4n5lw6wwbgpwv0dg9dw0bjzi0hvbgkzrs1zmq36yhfz6y8gwnh"))))
-    (build-system emacs-build-system)
-    (propagated-inputs
-     `(("emacs-counsel" ,emacs-counsel)
-       ("emacs-projectile" ,emacs-projectile)))
-    (home-page "https://github.com/ericdanan/counsel-projectile")
-    (synopsis "Enhance Projectile with Ivy")
-    (description
-     "This package uses Ivy to provide additional actions for Projectile
+  (let ((commit "77392cbbc42e98fc137b43f1db1b111ba6e2dd75")
+        (tag "0.3.1")
+        (revision "1"))
+    (package
+      (name "emacs-counsel-projectile")
+      (version (git-version tag revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/ericdanan/counsel-projectile")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "131pww7lf88az5bsnaza8i60p7xcic271wpdr870zan8z1jh69k3"))))
+      (build-system emacs-build-system)
+      (propagated-inputs
+       `(("emacs-counsel" ,emacs-counsel)
+         ("emacs-projectile" ,emacs-projectile)))
+      (home-page "https://github.com/ericdanan/counsel-projectile")
+      (synopsis "Enhance Projectile with Ivy")
+      (description
+       "This package uses Ivy to provide additional actions for Projectile
 commands and replacements for existing functions.")
-    (license license:gpl3+)))
+      (license license:gpl3+))))
 
 (define-public emacs-qml-mode
   (package
-- 
2.28.0


--=-=-=--




Acknowledgement sent to Joseph LaFreniere <joseph@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#43899; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Oct 2020 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.